%global srcname f5-icontrol-rest
%global sum F5 BIG-IP iControl REST API client

%if 0%{?fedora}
%global with_python3 1
%endif

Name:           python-%{srcname}
Version:        1.3.4
Release:        1%{?dist}
Summary:        %{sum}

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/f/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
%{?fedora:BuildRequires:  python2-requests >= 2.5.0}
%{?rhel:BuildRequires:  python-requests >= 2.5.0}
%{?rhel:BuildRequires:  python-setuptools}
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-stuptools
BuildRequires:  python3-requests >= 2.5.0
%endif


%description
Generic python library used by the F5 SDK and other F5 projects to communicate
with BIG-IP® via the REST API.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Generic python library used by the F5 SDK and other F5 projects to communicate
with BIG-IP® via the REST API.

%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Generic python library used by the F5 SDK and other F5 projects to communicate
with BIG-IP® via the REST API.
%endif


%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif


%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif


%check
%{__python2} setup.py test
%if 0%{?with_python3}
%{__python3} setup.py test
%endif


%files -n python2-%{srcname}
%doc README.rst
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc README.rst
%{python3_sitelib}/*
%endif


%changelog
* Wed Dec 13 2017 Xavier Bachelot <xavier@bachelot.org> - 1.3.4-1
- Initial package.
